using System;
using Microsoft.EntityFrameworkCore.Migrations;

#nullable disable

namespace TeleWave.Infrastructure.Migrations
{
    /// <inheritdoc />
    public partial class ChannelViewerSettings : Migration
    {
        /// <inheritdoc />
        protected override void Up(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.AddColumn<double>(
                name: "AnalogFilterStrength",
                table: "Channels",
                type: "double precision",
                nullable: false,
                defaultValue: 0.0
            );

            migrationBuilder.AddColumn<int>(
                name: "LogoCorner",
                table: "Channels",
                type: "integer",
                nullable: false,
                defaultValue: 0
            );

            migrationBuilder.AddColumn<Guid>(
                name: "LogoImageId",
                table: "Channels",
                type: "uuid",
                nullable: true
            );

            migrationBuilder.AddColumn<double>(
                name: "LogoOpacity",
                table: "Channels",
                type: "double precision",
                nullable: false,
                defaultValue: 0.0
            );

            migrationBuilder.AddColumn<bool>(
                name: "ShowClock",
                table: "Channels",
                type: "boolean",
                nullable: false,
                defaultValue: false
            );
        }

        /// <inheritdoc />
        protected override void Down(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.DropColumn(name: "AnalogFilterStrength", table: "Channels");

            migrationBuilder.DropColumn(name: "LogoCorner", table: "Channels");

            migrationBuilder.DropColumn(name: "LogoImageId", table: "Channels");

            migrationBuilder.DropColumn(name: "LogoOpacity", table: "Channels");

            migrationBuilder.DropColumn(name: "ShowClock", table: "Channels");
        }
    }
}
